Attribute VB_Name = "modDraw"
Option Explicit

Private Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal X As Long, ByVal Y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long

Public Const CILJ       As Byte = 0
Public Const SMAJLI     As Byte = 1
Public Const KUTIJA     As Byte = 2
Public Const ZGODITAK   As Byte = 3
Public Const ZID        As Byte = 4

Public Const POLJE      As Byte = 5
'

' ova funkcija crta odredjenu slicicu na odredjeno mesto u bafer
Public Sub DrawImage(ImageId As Byte, X As Long, Y As Long)
    
    ' crtamo sliku u bafer
    BitBlt frmGame.picBuffer.hDC, X, Y, 40, 40, _
           frmGame.picImage(ImageId).hDC, 0, 0, vbSrcCopy
    
End Sub
'

' ova funkcija kopira sadrzaj bafera na ekran
Public Sub Render()
    
    ' preslikavamo ceo bafer na ekran
    BitBlt frmGame.picLevel.hDC, 0, 0, frmGame.picLevel.ScaleWidth, _
           frmGame.picLevel.ScaleHeight, frmGame.picBuffer.hDC, 0, 0, vbSrcCopy
    
    frmGame.picBuffer.Cls ' cistimo sadrzaj bafera
    
     ' osvezavamo nas picturebox da bi se izmene pokazale na ekranu
    frmGame.picLevel.Refresh
    
End Sub
'

' ova funkcija crta trenutni izgled nivoa i poziciju igraca
Public Sub DrawFrame()
    
    Dim X   As Long
    Dim Y   As Long
    
    For X = 1 To duzina
        For Y = 1 To sirina
            
            If nivo(X, Y) <> POLJE Then ' prazna polja necemo da crtamo :)
            
                DrawImage nivo(X, Y), (X - 1) * 40, (Y - 1) * 40
            
            End If
            
        Next
    Next
    
    ' crtamo igraca
    DrawImage SMAJLI, (igrac.X - 1) * 40, (igrac.Y - 1) * 40
    
    Render ' prikazujemo novi frejm

End Sub
'
